Package com.macrofocus.high_d.scatterplotmatrix

# Class AbstractScatterPlotMatrixComponent<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent<Component,Color,Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `ScatterPlotMatrixComponent<Component,Color,Row,Column>`

Direct Known Subclasses:
  `JavaFXScatterPlotMatrixComponent`

public abstract class AbstractScatterPlotMatrixComponent<Component,Color,Row,Column> extends Object implements ScatterPlotMatrixComponent<Component,Color,Row,Column>
Created by luc on 25/04/16.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractScatterPlotMatrixComponent.AbstractVisualLayerIDrawing`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final com.macrofocus.crossplatform.CPCanvas<Component>`
  `canvas`
  `protected ScatterPlotMatrixModel<Color,Row,Column>`
  `model`
  `protected final CPTimer`
  `timer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotMatrixComponent(ScatterPlotMatrixView<Component,Color,Row,Column> view, com.macrofocus.crossplatform.CPFactory<Component,?,?,Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createOverplots()`
  `Object`
  `getClosestRow(int x, int y)`
  `protected abstract int`
  `getHeight()`
  `List<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  `protected abstract int`
  `getWidth()`
  `protected void`
  `refresh()`
  `protected abstract void`
  `repaint()`
  `void`
  `setModel(ScatterPlotMatrixModel model)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinatesmatrix.ScatterPlotMatrixComponent

  `getNativeComponent, scheduleUpdate`

- ## Field Details

  - ### canvas

    protected final com.macrofocus.crossplatform.CPCanvas<Component> canvas

  - ### model

    protected ScatterPlotMatrixModel<Color,Row,Column> model

  - ### timer

    protected final CPTimer timer

- ## Constructor Details

  - ### AbstractScatterPlotMatrixComponent

    public AbstractScatterPlotMatrixComponent(ScatterPlotMatrixView<Component,Color,Row,Column> view, com.macrofocus.crossplatform.CPFactory<Component,?,?,Color> factory)

- ## Method Details

  - ### refresh

    protected void refresh()

  - ### getWidth

    protected abstract int getWidth()

  - ### getHeight

    protected abstract int getHeight()

  - ### repaint

    protected abstract void repaint()

  - ### setModel

    public void setModel(ScatterPlotMatrixModel model)
    Specified by:
      `setModel` in interface `ScatterPlotMatrixComponent<Component,Color,Row,Column>`

  - ### createOverplots

    public void createOverplots()
    Specified by:
      `createOverplots` in interface `ScatterPlotMatrixComponent<Component,Color,Row,Column>`

  - ### getClosestRow

    public Object getClosestRow(int x, int y)
    Specified by:
      `getClosestRow` in interface `ScatterPlotMatrixComponent<Component,Color,Row,Column>`

  - ### getRows

    public List<Row> getRows(com.macrofocus.geom.Rectangle2D rect)
    Specified by:
      `getRows` in interface `ScatterPlotMatrixComponent<Component,Color,Row,Column>`